Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.resolve.maven.aether
[Groovy] Class AetherExcludeResolver

    java.lang.Object
      org.codehaus.groovy.grails.resolve.maven.aether.AetherExcludeResolver

All Implemented Interfaces:
  ExcludeResolver

    class AetherExcludeResolver

An exclude resolver for Aether

Authors:
  Graeme Rocher

Since:
  2.3

Property Summary
`AetherDependencyManager` | `dependencyManager`

Constructor Summary
`AetherExcludeResolver(AetherDependencyManager dependencyManager)`

Method Summary
`java.util.Map` | `resolveExcludes()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### dependencyManager

    AetherDependencyManager dependencyManager

Constructor Detail

### AetherExcludeResolver

    AetherExcludeResolver(AetherDependencyManager dependencyManager)

Method Detail

### resolveExcludes

    @java.lang.Override
    java.util.Map resolveExcludes()

Groovy Documentation